diff --git a/.gitmodules b/.gitmodules
index f251f5c5366e12237dc581216d301127cbec7c24..0a4ca31b58b6c5573e49d06fb063350855c64def 100644
--- a/.gitmodules
+++ b/.gitmodules
@@ -5,3 +5,6 @@
 [submodule "zfuzz/libzafl"]
 	path = libzafl
 	url = git@git.zephyr-software.com:opensrc/libzafl.git
+[submodule "move_globals"]
+	path = move_globals
+	url = git@git.zephyr-software.com:allnp/move_globals.git
diff --git a/build-all.sh b/build-all.sh
index 56620bea44e18bfe86b035173364cb56becc3c15..95a4511268e0de8d5f1670f6d222ed7c627effee 100755
--- a/build-all.sh
+++ b/build-all.sh
@@ -28,13 +28,16 @@ cd $ZAFL_HOME
 cd tools
 scons $SCONSDEBUG -j 3 || exit
 
-cd $ZAFL_HOME
-$PEDI_HOME/pedi -m manifest.txt || exit
+cd $ZAFL_HOME/move_globals
+scons $SCONSDEBUG -j 3 || exit
 
 cd $ZAFL_HOME/libzafl
 scons || exit
 cp lib/* $ZEST_RUNTIME/lib64/ || exit
 
+cd $ZAFL_HOME
+$PEDI_HOME/pedi -m manifest.txt || exit
+
 cd $ZAFL_HOME
 echo "ZAFL Overall build complete."
 
diff --git a/clean-all.sh b/clean-all.sh
index cec3cdeb7cdaaae4f4fc6dbf2f8d88b9b74951ed..f872bc54bf722e162ef5b8bdef1193e76ec28bb7 100755
--- a/clean-all.sh
+++ b/clean-all.sh
@@ -9,6 +9,10 @@ scons -c
 cd $ZAFL_HOME/tools
 scons -c
 
+cd $ZAFL_HOME/move_globals
+scons -c
+
+
 
 
 # clean up installation if this module is the root of the install.
diff --git a/manifest.txt b/manifest.txt
index e48e96954aaaf9f13cccb029010766311f391c2f..f61137ad7444925477e7b9e316b531135fc01a42 100644
--- a/manifest.txt
+++ b/manifest.txt
@@ -5,5 +5,7 @@ submanifest zipr_umbrella/manifest.txt
 file set_env_vars zafl
 file set_env_vars zafl
 file get-packages.sh zafl
+file move_globals/set_env_vars zafl
+directory move_globals/plugins_install zafl
 directory bin zafl
 directory zafl_plugins zafl
diff --git a/move_globals b/move_globals
new file mode 160000
index 0000000000000000000000000000000000000000..34db6e6f2dc8397bc2af64fa8325366907c1dd90
--- /dev/null
+++ b/move_globals
@@ -0,0 +1 @@
+Subproject commit 34db6e6f2dc8397bc2af64fa8325366907c1dd90
diff --git a/set_env_vars b/set_env_vars
index f7a42fbd4e3d0b117060021cc31b3b2379f27067..2d12ce9746649ddecd4b96834efad42e99202211 100644
--- a/set_env_vars
+++ b/set_env_vars
@@ -15,6 +15,9 @@ export DAFFY_HOME
 
 export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$ZAFL_HOME/zest_runtime/lib
 
+cd $ZAFL_HOME/move_globals
+source set_env_vars
+
 cd $ZAFL_HOME
 
 export PATH=$PATH:$ZAFL_HOME/bin
diff --git a/zipr_umbrella b/zipr_umbrella
index bc85c2c766fd7a490e5e6001e1e56166c0c2a95f..6ad3ad5693a626b35fc20c5090adc523d69384d7 160000
--- a/zipr_umbrella
+++ b/zipr_umbrella
@@ -1 +1 @@
-Subproject commit bc85c2c766fd7a490e5e6001e1e56166c0c2a95f
+Subproject commit 6ad3ad5693a626b35fc20c5090adc523d69384d7